Bug 1934136 - [AWS] The `build_ami.yml` playbook to create the primed image for Cluster Autoscaler is restarting the host.
Summary: [AWS] The `build_ami.yml` playbook to create the primed image for Cluster Aut...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.z
Assignee: Russell Teague
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-02 15:22 UTC by Rahul Rajendran
Modified: 2021-03-25 09:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A bugfix in Ansible 2.9.10 changed the behavior of delegate_to for plays using 'connection: local' with 'hosts: localhost'. Consequence: Tasks intended for remote hosts were executed locally. Fix: Removed 'connection: local' for the affected play. Result: Tasks intended for remote hosts are executed on the remote host.
Clone Of:
Environment:
Last Closed: 2021-03-25 09:50:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 12312 0 None open Bug 1934136: [release-3.11] Do not use connection local with localhost 2021-03-02 21:25:22 UTC
Red Hat Product Errata RHSA-2021:0833 0 None None None 2021-03-25 09:50:22 UTC

Comment 1 Michael Gugino 2021-03-02 17:16:38 UTC
Moving this to openshift-ansible.  I'm not sure these playbooks were intended for end user support or not.

Comment 4 sunzhaohua 2021-03-19 11:43:28 UTC
verified
The host machine which is executing the playbook is not restarting.

TASK [openshift_aws : create instance for ami creation] *********************************************************************************************************************
Friday 19 March 2021  17:58:52 +0800 (0:00:00.036)       0:00:06.209 **********
ok: [localhost]

TASK [openshift_aws : fetch newly created instances] ************************************************************************************************************************
Friday 19 March 2021  17:58:55 +0800 (0:00:02.581)       0:00:08.791 **********
ok: [localhost]

TASK [openshift_aws : wait for ssh to become available] *********************************************************************************************************************
Friday 19 March 2021  17:58:57 +0800 (0:00:01.994)       0:00:10.785 **********
ok: [localhost]

TASK [openshift_aws : add host to nodes] ************************************************************************************************************************************
Friday 19 March 2021  17:58:58 +0800 (0:00:00.817)       0:00:11.603 **********
changed: [localhost]

PLAY [nodes] ****************************************************************************************************************************************************************

TASK [set the user to perform installation] *********************************************************************************************************************************
Friday 19 March 2021  17:58:58 +0800 (0:00:00.050)       0:00:11.653 **********
ok: [ec2-18-189-194-46.us-east-2.compute.amazonaws.com]

Comment 6 errata-xmlrpc 2021-03-25 09:50:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 3.11.404 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0833


Note You need to log in before you can comment on or make changes to this bug.